<?xml version="1.0" encoding="windows-1251"?>
<Компонент Владелец="НПО Криста www.krista.ru" Класс="Платформа.Интерфейсы.ОписаниеИнтерфейсов" Имя="Платформа.Разработка.Слои.ИнтерфейсРедактораСлоев">
	<Объект Представление="Платформа.Слои.Интерфейс.Представление" Наименование="Платформа.Разработка.Слои.ИнтерфейсРедактораСлоев">
		<Свойства Класс="Платформа.Компоненты.ОписаниеСтруктурыКомпонента">
			<Объект Источник="Фабрика" ИмяОбъекта="Модель" СтрокаПолучения="Объект[Платформа.Слои.ОписанияСлоев]" Приоритет="1" ВнутреннийОбъект="1">
				<ПодключениеАспектов Класс="Платформа.Компоненты.ОписаниеПодключенийАспектов">
					<Объект Аспект="Платформа.Блокировки.АспектКСлою" ПриоритетПодключения="0">
						<УстановкиСвойств Класс="Платформа.Компоненты.ОписаниеНастроекСвойств">
							<Объект ИмяСвойства="ГлавныйСлой" Значение="&gt;Контейнер:Модель"/>
							<Объект ИмяСвойства="Модель" Значение="&gt;Контейнер:СхемаБлокировок"/>
						</УстановкиСвойств>
					</Объект>
					<Объект Аспект="Платформа.Слои.Интерфейс.АспектКИнтерфейсу" ПриоритетПодключения="5"/>
				</ПодключениеАспектов>
			</Объект>
			<Объект Источник="Фабрика" ИмяОбъекта="Панелька" СтрокаПолучения="Объект[Платформа.Слои.Интерфейс.ГруппаПанелей]" Приоритет="0" ВнутреннийОбъект="1">
				<ПодключенияОбработчиков Класс="Платформа.Компоненты.ОписаниеПодключенийОбработчиков">
					<Объект Контроллер="Платформа.Разработка.ПоказатьДеревоЗарегистрированныхКлассов" Тип="Объект" ПутьКОбъекту="&quot;Платформа.Слои.Интерфейс.КонтрольныеКнопки&quot;.ПоказатьСтруктуруКлассов" ИмяТочкиПодключения="Клик"/>
					<Объект Контроллер="Платформа.Синхронизация.СброситьОпцииПереносаДанных" Тип="Объект" ПутьКОбъекту="&quot;Платформа.Слои.Интерфейс.КнопкиЭкспортаИмпорта&quot;.ИмпортОписанийКомпонентов" ИмяТочкиПодключения="Клик" ПриоритетПодключения="3"/>
					<Объект Контроллер="Платформа.Синхронизация.ЭкспортИмпорт.Импорт" Тип="Объект" ПутьКОбъекту="&quot;Платформа.Слои.Интерфейс.КнопкиЭкспортаИмпорта&quot;.ИмпортОписанийКомпонентов" ИмяТочкиПодключения="Клик" ПриоритетПодключения="2"/>
					<Объект Контроллер="Платформа.Слои.Интерфейс.ВыполнитьАБЛМакрос" Тип="Объект" ПутьКОбъекту="&quot;Платформа.Слои.Интерфейс.КнопкиЭкспортаИмпорта&quot;.ИмпортДанныхСлояПростой" ИмяТочкиПодключения="Клик">
						<ПередачаПараметров Класс="Платформа.Компоненты.ОписаниеПередачиПараметров">
							<Объект Параметр="Путь" Источник="Константа" СтрокаИсточника="Бюджет\Объекты\Интерфейсы\Слои\Действия\ИмпортДанныхСлоевПростой" Направление="in"/>
							<Объект Параметр="Узел" Источник="Константа" СтрокаИсточника="Код программы" Направление="in"/>
						</ПередачаПараметров>
					</Объект>
					<Объект Контроллер="Платформа.Слои.Интерфейс.ВыполнитьАБЛМакрос" Тип="Объект" ПутьКОбъекту="&quot;Платформа.Слои.Интерфейс.КнопкиЭкспортаИмпорта&quot;.ИмпортИзExcell" ИмяТочкиПодключения="Клик">
						<ПередачаПараметров Класс="Платформа.Компоненты.ОписаниеПередачиПараметров">
							<Объект Параметр="Путь" Источник="Константа" СтрокаИсточника="Бюджет\Объекты\Интерфейсы\Слои\Действия\Обработчик_ИмпортИзЭкселлУнив" Направление="in"/>
							<Объект Параметр="Узел" Источник="Константа" СтрокаИсточника="Код программы" Направление="in"/>
						</ПередачаПараметров>
					</Объект>
					<Объект Контроллер="Платформа.Слои.Интерфейс.ВыполнитьАБЛМакрос" Тип="Объект" ПутьКОбъекту="&quot;Платформа.Слои.Интерфейс.КнопкиЭкспортаИмпорта&quot;.ИмпортСлоев" ИмяТочкиПодключения="Клик">
						<ПередачаПараметров Класс="Платформа.Компоненты.ОписаниеПередачиПараметров">
							<Объект Параметр="Путь" Источник="Константа" СтрокаИсточника="Бюджет\Объекты\Интерфейсы\Слои\Действия\ИмпортСлоев" Направление="in"/>
							<Объект Параметр="Узел" Источник="Константа" СтрокаИсточника="Код программы" Направление="in"/>
						</ПередачаПараметров>
					</Объект>
					<Объект Контроллер="Платформа.Слои.Интерфейс.ВыполнитьАБЛМакрос" Тип="Объект" ПутьКОбъекту="&quot;Платформа.Слои.Интерфейс.КонтрольныеКнопки&quot;.НайтиНовыеПространстваИмен" ИмяТочкиПодключения="Клик">
						<ПередачаПараметров Класс="Платформа.Компоненты.ОписаниеПередачиПараметров">
							<Объект Параметр="Путь" Источник="Константа" СтрокаИсточника="Бюджет\Объекты\Интерфейсы\Слои\Действия\Обработчик_НайтиНовыеПространстваИмен" Направление="in"/>
							<Объект Параметр="Узел" Источник="Константа" СтрокаИсточника="Код программы" Направление="in"/>
						</ПередачаПараметров>
					</Объект>
					<Объект Контроллер="Платформа.Слои.Интерфейс.ВыполнитьАБЛМакрос" Тип="Объект" ПутьКОбъекту="&quot;Платформа.Слои.Интерфейс.КонтрольныеКнопки&quot;.ПроверитьУникальностьНатуральныхКлючей" ИмяТочкиПодключения="Клик">
						<ПередачаПараметров Класс="Платформа.Компоненты.ОписаниеПередачиПараметров">
							<Объект Параметр="Путь" Источник="Константа" СтрокаИсточника="Бюджет\Объекты\Интерфейсы\Слои\Действия\Обработчик_ПроверитьУникальность" Направление="in"/>
							<Объект Параметр="Узел" Источник="Константа" СтрокаИсточника="Код программы" Направление="in"/>
						</ПередачаПараметров>
					</Объект>
					<Объект Контроллер="Платформа.Слои.Интерфейс.ВыполнитьАБЛМакрос" Тип="Объект" ПутьКОбъекту="&quot;Платформа.Слои.Интерфейс.СлужебныеКнопки&quot;.ПроставитьВерсионность" ИмяТочкиПодключения="Клик">
						<ПередачаПараметров Класс="Платформа.Компоненты.ОписаниеПередачиПараметров">
							<Объект Параметр="Путь" Источник="Константа" СтрокаИсточника="Бюджет\Объекты\Интерфейсы\Слои\Действия\Обработчик_ПроставитьВерсионностьВычСлоев" Направление="in"/>
							<Объект Параметр="Узел" Источник="Константа" СтрокаИсточника="Код программы" Направление="in"/>
						</ПередачаПараметров>
					</Объект>
					<Объект Контроллер="Платформа.Слои.Интерфейс.ВыполнитьАБЛМакрос" Тип="Объект" ПутьКОбъекту="&quot;Платформа.Слои.Интерфейс.СлужебныеКнопки&quot;.УстановитьМаску" ИмяТочкиПодключения="Клик">
						<ПередачаПараметров Класс="Платформа.Компоненты.ОписаниеПередачиПараметров">
							<Объект Параметр="Путь" Источник="Константа" СтрокаИсточника="Бюджет\Объекты\Интерфейсы\Слои\Действия\Обработчик_УстановитьМаскуНомераРО" Направление="in"/>
							<Объект Параметр="Узел" Источник="Константа" СтрокаИсточника="Код программы" Направление="in"/>
						</ПередачаПараметров>
					</Объект>
					<Объект Контроллер="Платформа.Слои.Интерфейс.ВыполнитьКонтрольСсылочнойЦелостности" Тип="Объект" ПутьКОбъекту="&quot;Платформа.Слои.Интерфейс.КонтрольныеКнопки&quot;.ПроверитьСсылочнЦелостность" ИмяТочкиПодключения="Клик">
						<ПередачаПараметров Класс="Платформа.Компоненты.ОписаниеПередачиПараметров">
							<Объект Параметр="Слой" Источник="Контейнер" СтрокаИсточника="Модель" Направление="in"/>
						</ПередачаПараметров>
					</Объект>
					<Объект Контроллер="Платформа.Слои.Интерфейс.НайтиЛишниеПоляБД" Тип="Объект" ПутьКОбъекту="&quot;Платформа.Слои.Интерфейс.СлужебныеКнопки&quot;.НайтиЛишниеПоляБД" ИмяТочкиПодключения="Клик">
						<ПередачаПараметров Класс="Платформа.Компоненты.ОписаниеПередачиПараметров">
							<Объект Параметр="Слой" Источник="Контейнер" СтрокаИсточника="Модель" Направление="in"/>
						</ПередачаПараметров>
					</Объект>
					<Объект Контроллер="Платформа.Слои.Интерфейс.ОбновитьНатуральныйКлюч" Тип="Объект" ПутьКОбъекту="&quot;Платформа.Слои.Интерфейс.СлужебныеКнопки&quot;.ОбновитьНатуральныйКлюч" ИмяТочкиПодключения="Клик">
						<ПередачаПараметров Класс="Платформа.Компоненты.ОписаниеПередачиПараметров">
							<Объект Параметр="Грид" Источник="Контейнер" СтрокаИсточника="Представление.Элемент[Представление].Элемент[КорневойЭлемент].Элемент[РедакторТаблицы].Элемент[Грид]" Направление="in"/>
						</ПередачаПараметров>
					</Объект>
					<Объект Контроллер="Платформа.Слои.Интерфейс.ОбновитьСписокСлоев" Тип="Объект" ПутьКОбъекту="&quot;Платформа.Слои.Интерфейс.СлужебныеКнопки&quot;.ОбновитьСписокСлоев" ИмяТочкиПодключения="Клик">
						<ПередачаПараметров Класс="Платформа.Компоненты.ОписаниеПередачиПараметров">
							<Объект Параметр="Слой" Источник="Контейнер" СтрокаИсточника="Модель" Направление="in"/>
						</ПередачаПараметров>
					</Объект>
					<Объект Контроллер="Платформа.Слои.Интерфейс.ПоказатьДанныеСлоя" Тип="Объект" ПутьКОбъекту="&quot;Платформа.Слои.Интерфейс.КонтрольныеКнопки&quot;.ПоказатьДанныеСлоя" ИмяТочкиПодключения="Клик">
						<ПередачаПараметров Класс="Платформа.Компоненты.ОписаниеПередачиПараметров">
							<Объект Параметр="Слой" Источник="Контейнер" СтрокаИсточника="Модель" Направление="in"/>
						</ПередачаПараметров>
					</Объект>
					<Объект Контроллер="Платформа.Слои.Интерфейс.ПоказатьНестрандартныеНастройкиСлоев" Тип="Объект" ПутьКОбъекту="&quot;Платформа.Слои.Интерфейс.КонтрольныеКнопки&quot;.ПоказатьНестандартныеНастройкиСлоев" ИмяТочкиПодключения="Клик"/>
					<Объект Контроллер="Платформа.Слои.Интерфейс.СоздатьПоля" Тип="Объект" ПутьКОбъекту="&quot;Платформа.Слои.Интерфейс.СлужебныеКнопки&quot;.СоздатьПоля" ИмяТочкиПодключения="Клик" Отключено="0">
						<ПередачаПараметров Класс="Платформа.Компоненты.ОписаниеПередачиПараметров">
							<Объект Параметр="Деталь" Источник="Контейнер" СтрокаИсточника="Модель.Детализация[Поля]" Направление="in"/>
							<Объект Параметр="Слой" Источник="Контейнер" СтрокаИсточника="Модель" Направление="in"/>
						</ПередачаПараметров>
					</Объект>
					<Объект Контроллер="Платформа.Слои.Интерфейс.ТестОткрытияСлоев" Тип="Объект" ПутьКОбъекту="&quot;Платформа.Слои.Интерфейс.КонтрольныеКнопки&quot;.ТестОткрытияСлоев" ИмяТочкиПодключения="Клик">
						<ПередачаПараметров Класс="Платформа.Компоненты.ОписаниеПередачиПараметров">
							<Объект Параметр="Грид" Источник="Контейнер" СтрокаИсточника="Представление.Элемент[Представление].Элемент[КорневойЭлемент].Элемент[РедакторТаблицы].Элемент[Грид]" Направление="in"/>
							<Объект Параметр="Слой" Источник="Контейнер" СтрокаИсточника="Модель" Направление="in"/>
						</ПередачаПараметров>
					</Объект>
					<Объект Контроллер="Платформа.Слои.Интерфейс.ЭкпортДанныхСлояПростой" Тип="Объект" ПутьКОбъекту="&quot;Платформа.Слои.Интерфейс.КнопкиЭкспортаИмпорта&quot;.ЭкспортДанныхСлояПростой" ИмяТочкиПодключения="Клик">
						<ПередачаПараметров Класс="Платформа.Компоненты.ОписаниеПередачиПараметров">
							<Объект Параметр="Грид" Источник="Контейнер" СтрокаИсточника="Представление.Элемент[Представление].Элемент[КорневойЭлемент].Элемент[РедакторТаблицы].Элемент[Грид]" Направление="in"/>
							<Объект Параметр="Слой" Источник="Контейнер" СтрокаИсточника="Модель" Направление="in"/>
						</ПередачаПараметров>
					</Объект>
					<Объект Контроллер="Платформа.Слои.Интерфейс.ЭкспортСлоев" Тип="Объект" ПутьКОбъекту="&quot;Платформа.Слои.Интерфейс.КнопкиЭкспортаИмпорта&quot;.ЭкспортСлоев" ИмяТочкиПодключения="Клик">
						<ПередачаПараметров Класс="Платформа.Компоненты.ОписаниеПередачиПараметров">
							<Объект Параметр="Грид" Источник="Контейнер" СтрокаИсточника="Представление.Элемент[Представление].Элемент[КорневойЭлемент].Элемент[РедакторТаблицы].Элемент[Грид]" Направление="in"/>
						</ПередачаПараметров>
					</Объект>
				</ПодключенияОбработчиков>
			</Объект>
			<Объект Источник="Фабрика" ИмяОбъекта="Связь" СтрокаПолучения="Объект[Платформа.Слои.Интерфейс.СвязьРедактораПолейСоСлоем]" Приоритет="0" ВнутреннийОбъект="1"/>
			<Объект Источник="Фабрика" ИмяОбъекта="СхемаБлокировок" СтрокаПолучения="Объект[Платформа.Слои.Интерфейс.Блокировки]" Приоритет="10" ВнутреннийОбъект="1"/>
		</Свойства>
		<КонвейерИнициализации Класс="Платформа.Контроллеры.Конвейеры.ОписаниеСтруктурыКонвейера">
			<Объект Контроллер="Платформа.Слои.ОткрытьДанные" Приоритет="10">
				<ПередачаПараметров Класс="Платформа.Контроллеры.Конвейеры.ОписаниеПередачиПараметров">
					<Объект Параметр="Слой" Источник="Контейнер" СтрокаИсточника="Модель" Направление="in"/>
				</ПередачаПараметров>
			</Объект>
			<Объект Контроллер="Платформа.Представления.СвязатьСМоделью" Приоритет="5">
				<ПередачаПараметров Класс="Платформа.Контроллеры.Конвейеры.ОписаниеПередачиПараметров">
					<Объект Параметр="Модель" Источник="Контейнер" СтрокаИсточника="Модель" Направление="in"/>
					<Объект Параметр="Представление" Источник="Контейнер" СтрокаИсточника="Представление" Направление="in"/>
					<Объект Параметр="Связь" Источник="Контейнер" СтрокаИсточника="Связь" Направление="in"/>
				</ПередачаПараметров>
			</Объект>
		</КонвейерИнициализации>
		<ПодключенияОбработчиков Класс="Платформа.Компоненты.ОписаниеПодключенийОбработчиков">
			<Объект Контроллер="Платформа.Интерфейсы.РедакторДокументов.Слои.ОбновитьТекущуюДеталь" Тип="Тип" ИмяТочкиПодключения="ОбновлениеИнтерфейса">
				<ПередачаПараметров Класс="Платформа.Компоненты.ОписаниеПередачиПараметров">
					<Объект Параметр="Связь" Источник="Контейнер" СтрокаИсточника="Связь.Элемент[Платформа.Интерфейсы.РедакторДокументов.СвязьМастерДеталь]" Направление="in"/>
				</ПередачаПараметров>
			</Объект>
			<Объект Контроллер="Платформа.Синхронизация.СброситьОпцииПереносаДанных" Тип="Тип" ПутьКОбъекту="Модель" ИмяТочкиПодключения="ПередЗакрытиемТранзакции" ПриоритетПодключения="3"/>
			<Объект Контроллер="Платформа.Слои.Интерфейс.ПроверитьИзменениеТаблицИПолей" Тип="Тип" ПутьКОбъекту="Модель" ИмяТочкиПодключения="ПередЗакрытиемТранзакции" ПриоритетПодключения="2" Комментарий="перекачивает данные при изменении хранимой таблицы или полей">
				<ПередачаПараметров Класс="Платформа.Компоненты.ОписаниеПередачиПараметров">
					<Объект Параметр="Представление" Источник="Контейнер" СтрокаИсточника="Представление" Направление="in"/>
					<Объект Параметр="Слой" Источник="Контейнер" СтрокаИсточника="Модель" Направление="in"/>
					<Объект Параметр="УдалятьДанные" Источник="Константа" СтрокаИсточника="1" Направление="in"/>
				</ПередачаПараметров>
			</Объект>
		</ПодключенияОбработчиков>
		<ПодключениеАспектов Класс="Платформа.Компоненты.ОписаниеПодключенийАспектов">
			<Объект Аспект="Платформа.Интерфейсы.РедакторДокументов.АспектКопированияДокументов" ПриоритетПодключения="10">
				<УстановкиСвойств Класс="Платформа.Компоненты.ОписаниеНастроекСвойств">
					<Объект ИмяСвойства="Грид" Значение="&gt;Контейнер:Представление.Элемент[Представление].Элемент[КорневойЭлемент].Элемент[РедакторТаблицы].Элемент[Грид]"/>
					<Объект ИмяСвойства="Панелька" Значение="&gt;Контейнер:Панелька"/>
					<Объект ИмяСвойства="Слой" Значение="&gt;Контейнер:Модель"/>
				</УстановкиСвойств>
			</Объект>
			<Объект Аспект="Платформа.Представления.ПанелиКнопок.Аспект" Отключено="0" ПриоритетПодключения="0">
				<УстановкиСвойств Класс="Платформа.Компоненты.ОписаниеНастроекСвойств">
					<Объект ИмяСвойства="Модель" Значение="&gt;Контейнер:Панелька"/>
					<Объект ИмяСвойства="Подложка" Значение="&gt;Контейнер:Представление.Элемент[Представление].Элемент[ПанельИнструментов]"/>
				</УстановкиСвойств>
			</Объект>
			<Объект Аспект="Платформа.Разработка.АспектЭкспортаОписанийКомпонентов" Отключено="0" ПриоритетПодключения="10">
				<УстановкиСвойств Класс="Платформа.Компоненты.ОписаниеНастроекСвойств">
					<Объект ИмяСвойства="Грид" Значение="&gt;Контейнер:Представление.Элемент[Представление].Элемент[КорневойЭлемент].Элемент[РедакторТаблицы].Элемент[Грид]"/>
					<Объект ИмяСвойства="Панелька" Значение="&gt;Контейнер:Панелька"/>
					<Объект ИмяСвойства="Слой" Значение="&gt;Контейнер:Модель"/>
				</УстановкиСвойств>
			</Объект>
		</ПодключениеАспектов>
	</Объект>
</Компонент>
